Bug 1417018 - Notify customers that they *MUST* keep the custom certificates archives, even after they are deployed
Summary: Notify customers that they *MUST* keep the custom certificates archives, even...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Install Guide
Version: 6.2.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: Zac Dover
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 01:28 UTC by Russell Dickenson
Modified: 2019-09-26 16:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-31 03:23:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Russell Dickenson 2017-01-27 01:28:27 UTC
Document URL: https://access.redhat.com/documentation/en/red-hat-satellite/6.2/single/installation-guide#configuring_capsule_custom_server_certificate

Section Number and Name: 4.7.5. Configuring Capsule Server with a Custom Server Certificate

Describe the issue: When upgrading a Capsule Server, the installer checks for the certificates TAR file. If this file is not found, the installer will fail with a message similar to the following:

[ERROR 2017-01-26 14:30:45 main]  tar -xzf /var/tmp/srvcapsule01.tar returned 2 instead of one of [0]

Suggestions for improvement: Add a notice to the custom certificates documentation, instructing customers to retain the certificates archive (TAR) file, even after those certificates have been deployed to all relevant hosts.

Additional information: This BZ ticket was raised in response to a customer case being managed by Sam Yangsao, and discussed via IRC (#sysmgmt).

Comment 1 Andrew Dahms 2017-01-27 01:57:07 UTC
Assigning to Zac for review.


Note You need to log in before you can comment on or make changes to this bug.